Bug 855692 - Catalog logs user's userid instead of login name in bz's bugs_activity table when setting needinfo flag
Catalog logs user's userid instead of login name in bz's bugs_activity table ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hwcert-catalog
:
Depends On:
Blocks: 837717
  Show dependency treegraph
 
Reported: 2012-09-09 22:46 EDT by Tony Fu
Modified: 2012-11-15 22:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 22:22:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Fu 2012-09-09 22:46:23 EDT
Description of problem:

When setting bz flags, catalog code incorrectly write the userid in bugs_activity table when user's login name should be recorded.


How reproducible:
always

Steps to Reproduce:

refer to  https://bugzilla.redhat.com/show_bug.cgi?id=844677#c3

Additional info:

We should use bz's xmlrpc functions to handle bz flags, which will set bugs_activity table automatically.
Comment 3 Tony Fu 2012-11-01 03:04:35 EDT
verified in web2
Comment 4 Tony Fu 2012-11-15 22:22:07 EST
verified on live system.

Note You need to log in before you can comment on or make changes to this bug.